BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Insignia.Service.Controllers.InsigniaReceiveController Class Reference
Inheritance diagram for BMA.EHR.Insignia.Service.Controllers.InsigniaReceiveController:

## Public Member Functions
| InsigniaReceiveController (ApplicationDBContext context, MinIOService documentService, InsigniaPeriodsRepository repository, NotificationRepository repositoryNoti, IHttpContextAccessor httpContextAccessor)
async Task< ActionResult< ResponseObject > > | GetInsigniaList (string type, Guid id, Guid ocId)
async Task< ActionResult< ResponseObject > > | SaveToProfile ([FromBody] SaveToProfileRequest items, string type)

## Additional Inherited Members
Protected Member Functions inherited from BMA.EHR.Domain.Common.BaseController
virtual ActionResult< ResponseObject > | Success (string message, object? result=null)
virtual ActionResult< ResponseObject > | Success (object? result=null)
virtual ActionResult< ResponseObject > | Error (string message, string result, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, int statusCode=StatusCodes.Status500InternalServerError)

## Constructor & Destructor Documentation

## ◆ InsigniaReceiveController()

BMA.EHR.Insignia.Service.Controllers.InsigniaReceiveController.InsigniaReceiveController | ( | ApplicationDBContext | context,
|  | MinIOService | documentService,
|  | InsigniaPeriodsRepository | repository,
|  | NotificationRepository | repositoryNoti,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ GetInsigniaList()

async Task< ActionResult< ResponseObject > > BMA.EHR.Insignia.Service.Controllers.InsigniaReceiveController.GetInsigniaList | ( | string | type,
|  | Guid | id,
|  | Guid | ocId
| ) |  |
| inline

## ◆ SaveToProfile()

async Task< ActionResult< ResponseObject > > BMA.EHR.Insignia.Service.Controllers.InsigniaReceiveController.SaveToProfile | ( | [FromBody] SaveToProfileRequest | items,
|  | string | type
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Insignia.Service/Controllers/InsigniaReceiveController.cs